<?php defined('C5_EXECUTE') or die("Access Denied.");
use Concrete\Package\EditorPermissions\Html\PermissionGroup;

?>

<fieldset>
    <legend><?php echo t('Concrete5 Extensions'); ?></legend>

    <table class="ccm-permission-grid table table-striped">
        <tbody>
        <?php if ($fileManagerEnabled):  ?>
            <tr>
                <td class="ccm-permission-grid-name">
                    <label style="color:#ccc"><?php echo t('Enable file selection from file manager.'); ?></label>
                </td>
                <td class="ccm-permission-grid-cell">
                    <small style="color:#ccc">(<?php echo t('Available for all groups'); ?>)</small>
                </td>
            </tr>
        <?php else :?>
            <tr>
                <td class="ccm-permission-grid-name">
                    <strong><a class="dialog-launch" dialog-width="450" dialog-height="200" dialog-modal="true" dialog-title="<?php echo t('Enable file selection from file manager.'); ?>" href="<?php echo \URL::to('/ccm/editor_permissions/dialogs/add', 'filemanager'); ?>"><?php echo t('Enable file selection from file manager.'); ?></a></strong>
                </td>
                <td class="ccm-permission-grid-cell">
                    <div id="groupsfilemanager" class="ccm-permission-access-line">
                        <?php echo PermissionGroup::getGroupsHtml($fileMngrAssignedGrps); ?>
                    </div>
                </td>
            </tr>
        <?php endif; ?>
        <?php if ($sitemapEnabled):  ?>
            <tr>
                <td class="ccm-permission-grid-name">
                    <label style="color:#ccc"><?php echo t('Enable page selection from sitemap.'); ?></label>
                </td>
                <td class="ccm-permission-grid-cell">
                    <small style="color:#ccc">(<?php echo t('Available for all groups'); ?>)</small>
                </td>
            </tr>
        <?php else :?>
            <tr>
                <td class="ccm-permission-grid-name">
                    <strong><a class="dialog-launch" dialog-width="450" dialog-height="200" dialog-modal="true" dialog-title="<?php echo t('Enable page selection from sitemap.'); ?>" href="<?php echo \URL::to('/ccm/editor_permissions/dialogs/add', 'sitemap'); ?>"><?php echo t('Enable page selection from sitemap.'); ?></a></strong>
                </td>
                <td class="ccm-permission-grid-cell">
                    <div id="groupssitemap" class="ccm-permission-access-line">
                        <?php echo PermissionGroup::getGroupsHtml($sitemapAssignedGrps); ?>
                    </div>
                </td>
            </tr>
        <?php endif; ?>
        </tbody>
    </table>
</fieldset>

<fieldset>
    <legend><?php echo t('Editor Plugins'); ?></legend>

    <table class="ccm-permission-grid table table-striped">
        <tbody>
        <?php foreach ($plugins as $key => $plugin) :
            if ($pluginManager->isSelected($key)):  ?>

            <tr>
                <td class="ccm-permission-grid-name">
                    <label style="color:#ccc"><?php echo $plugin['name']; ?></label>
                </td>
                <td class="ccm-permission-grid-cell">
                    <small style="color:#ccc">(<?php echo t('Available for all groups'); ?>)</small>
                </td>
            </tr>
        <?php else :?>
            <tr>
                <td class="ccm-permission-grid-name">
                    <strong><a class="dialog-launch" dialog-width="450" dialog-height="200" dialog-modal="true" dialog-title="<?php echo t('Plugin:') . '' . $plugin['name']; ?>" href="<?php echo \URL::to('/ccm/editor_permissions/dialogs/add', $key); ?>"><?php echo $plugin['name']; ?></a></strong>
                </td>
                <td class="ccm-permission-grid-cell">
                    <div id="groups<?php echo $key; ?>" class="ccm-permission-access-line">
                        <?php echo PermissionGroup::getGroupsHtml($plugin['groups']); ?>
                    </div>
                </td>
            </tr>
            <?php
            endif;
        endforeach;
        ?>
        </tbody>
    </table>
</fieldset>
