<?php
namespace Concrete\Package\EditorPermissions\Handler;

use Concrete\Package\EditorPermissions\Entity\Service\EditorPermission as EditorPermissionService;
use Concrete\Core\File\Set\Set as FileSet;
use Concrete\Core\Support\Facade\Facade;
use Concrete\Core\User\User;
use Permissions;

class EditorPermissions
{
    public static function setupCurrentUserPlugins()
    {
        $u = new User();
        if ($u) {
            $app = Facade::getFacadeApplication();

            /* @var \Concrete\Core\Editor\CkeditorEditor $editor */
            $app->extend('editor', function ($editor, $app) use ($u) {

                /* @var \Concrete\Core\Editor\PluginManager $pluginManager */
                $pluginManager = $editor->getPluginManager();

                $fp = new Permissions(FileSet::getGlobal());
                $tp = new Permissions();

                $editorPermissions = $app[EditorPermissionService::class]->findByUser($u);

                /* @var EditorPermission $editorPermission */
                foreach ($editorPermissions as $editorPermission) {
                    $plugin = $editorPermission->getPlugin();
                    if ('filemanager' == $plugin) {
                        $editor->setAllowFileManager($fp->canAccessFileManager());
                    } elseif ('sitemap' == $plugin) {
                        $editor->setAllowSitemap($tp->canAccessSitemap());
                    } else {
                        $pluginManager->select($plugin);
                    }
                }

                return $editor;
            });
        }
    }
}
